rem Erstellung einer Text-Datei mit dem Inhalt eines Laufwerks bzw.
rem dem Inhalt des akt. Ordners inkl. Unterordner dieses Laufwerks
rem 13~58 2012-10-09

echo off
cls
color 0a

rem !_dir_cp850win.exe bzw. cp850win.exe erforderlich zur Ausgabe in ANSI-Zeichen
echo.
echo Erstellung einer Text-Datei mit dem Inhalt eines Laufwerks bzw.
echo dem Inhalt des akt. Ordners inkl. Unterordner dieses Laufwerks
echo ==============================================================
echo.

rem Variablen loeschen
rem -- set EINGABE=0
set LW=0
set ORDNER=0
set AN1=0
rem -- set AN2=0
set VOLNR=0
set VOLNAME=0
set AUSWAHL=0

rem Variablen setzen: Laufwerksbuchstabe
set /p LW=LaufwerksBuchstabe eingeben (ohne Zusatzzeichen):
echo.
set /p ORDNER=Ordner-Inhalt? (j fuer ja, ansonsten keine Eingabe):
echo.
rem Variablen setzen: Datei-Ausgabename AN1 und evtl. AN2
rem -- set AN1=!_Inhalt_
set AN1=%date%
rem -- set /p AN2=Datei-Ausgabename nach %AN1% eingeben (bspw.: "_"):
echo.

rem !!! in Batch-Dateien statt bspw. %i immer %%i !!!
rem === Vol auslesen und speichern - Seriennummer ===
for /f "tokens=2 Skip=1" %%i in ('vol %LW%:') do set VOLNR=%%~i
rem === Vol auslesen und speichern - Volumenname ===
for /f "tokens=5*" %%i in ('vol %LW%: ^|findstr "Laufwerk"') do set VOLNAME=%%~j
echo.

if "%ORDNER%"=="j" goto weiter01
set AUSWAHL=:\
goto weiter02
:weiter01
set AUSWAHL=:
:weiter02

rem Erstellung des Inhaltsverzeichnisses mit Dateinamenmuster:
rem 1) !_Inhalt_AN2.txt
rem 1) Bsp.: !_Inhalt_LaufwerkG.txt
rem 2) !_Inhalt_VOLNR_VOLNAME.txt
rem 2) Bsp.: !_Inhalt_6CE2-31D4_LargeFilesNT.txt
rem 3) VOLNAME -- date -- VOLNR.txt
rem 3) Bsp.: LargeFilesNT -- 2012-10-09 -- 6CE2-31D4.txt
rem ----------------------------------------------------
rem 1) -- echo "dir %EINGABE% /a/o/s/4/x | !_dir_cp850win.exe >"%AN1%%AN2%".txt" >"%AN1%%AN2%".txt
rem 2) -- echo "dir %LW%%AUSWAHL% /a/o/s/4/x | !_dir_cp850win.exe >"%AN1%%VOLNR%_%VOLNAME%".txt" >"%AN1%%VOLNR%_%VOLNAME%".txt
echo "dir %LW%%AUSWAHL% /a/o/s/4/x | !_dir_cp850win.exe >"%VOLNAME% -- %AN1% -- %VOLNR%".txt" >"%VOLNAME% -- %AN1% -- %VOLNR%".txt
echo ============ >>"%VOLNAME% -- %AN1% -- %VOLNR%".txt
echo [%date%] >>"%VOLNAME% -- %AN1% -- %VOLNR%".txt
echo ============ >>"%VOLNAME% -- %AN1% -- %VOLNR%".txt
echo. >>"%VOLNAME% -- %AN1% -- %VOLNR%".txt
dir "%LW%%AUSWAHL%" /a/o/s/4/x | !_dir_cp850win.exe >>"%VOLNAME% -- %AN1% -- %VOLNR%".txt
echo.

rem Variablen loeschen
rem -- set EINGABE=0
set LW=0
set ORDNER=0
set AN1=0
rem -- set AN2=0
set VOLNR=0
set VOLNAME=0
set AUSWAHL=0

exit
